DCMTK - Bug #314

DcmElement::getUncompressedFrameSize() funktioniert nur bei BitsAllocated = n*8
2009-11-09 00:00 - J6rg Riesmeier

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.2

Module: dcmdata Compiler:

Operating System:

Description

Wenn BitsAllocated kein Vielfaches von 8 ist, dann stimmt die berechnete Frame-Gré3e insofern nicht, als dass in
"DcmPixelData::getUncompressedFrame()" bei unkomprimierten Bildern ein falsches Start-Offset berechnet wird.

History

#1 - 2014-02-05 11:41 - J6rg Riesmeier
- Category set to Library

- Assignee set to Marco Eichelberg

Already fixed by this commit?
http://git.dcmtk.org/web?p=dcmtk.git;a=commit;h=c94561123395e91aa204b78df94976bc4cc7a494

#2 - 2014-02-05 11:46 - Marco Eichelberg

Jorg Riesmeier wrote:

Already fixed by this commit?
http://git.dcmtk.org/web?p=dcmtk.git;a=commit;h=c94561123395e91aa204b78df94976bc4cc7a494

It seems to me that this indeed fixes the bug; the strange thing is that the commit was in May 2009, but the Redmine entry was created in November
2009.

#3 - 2014-02-05 11:57 - Jorg Riesmeier
- Tracker changed from Feature to Bug
- Target version set to 3.6.2

- % Done changed from 0 to 50

| checked the old "bug list" in the Wiki: the timestamp seems to be correct (which does not clarify the contradiction).
So, we probably need to test the code with an appropriate test file...

#4 - 2015-04-22 13:36 - Marco Eichelberg
- File getUncompressedFrameSize Test.dcm.gz added
- Status changed from New to Closed

- % Done changed from 50 to 100

| have created a test image with 3 frames and BitsAllocated=24, and image display works just fine. So the commit from 2009 indeed solved this
problem. Attached the test file (manually generated starting with a Cabinet test image).

Files

getUncompressedFrameSizeTest.dcm.gz 69.7 KB 2015-04-22 Marco Eichelberg
